Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Persistence/Handler.php
Go to the documentation of this file.
1 <?php
2
7 declare(strict_types=1);
8
9 namespace eZ\Publish\SPI\Persistence;
10
14 interface Handler
15 {
19 public function contentHandler();
20
24 public function contentTypeHandler();
25
29 public function contentLanguageHandler();
30
34 public function locationHandler();
35
39 public function objectStateHandler();
40
44 public function trashHandler();
45
49 public function userHandler();
50
54 public function sectionHandler();
55
59 public function urlAliasHandler();
60
64 public function urlWildcardHandler();
65
69 public function urlHandler();
70
74 public function bookmarkHandler();
75
79 public function notificationHandler();
80
84 public function userPreferenceHandler();
85
89 public function transactionHandler();
90
99 public function beginTransaction();
100
110 public function commit();
111
121 public function rollback();
122 }
eZ\Publish\SPI\Persistence\Handler
The main handler for Storage Engine.
Definition: SPI/Persistence/Handler.php:15
eZ\Publish\SPI\Persistence\Handler\locationHandler
locationHandler()
eZ\Publish\SPI\Persistence\Handler\notificationHandler
notificationHandler()
eZ\Publish\SPI\Persistence\Handler\rollback
rollback()
Rollback transaction.
eZ\Publish\SPI\Persistence\Handler\userHandler
userHandler()
eZ\Publish\SPI\Persistence\Handler\contentHandler
contentHandler()
eZ\Publish\SPI\Persistence\Handler\objectStateHandler
objectStateHandler()
eZ\Publish\SPI\Persistence\Handler\urlHandler
urlHandler()
eZ\Publish\SPI\Persistence\Handler\trashHandler
trashHandler()
eZ\Publish\SPI\Persistence\Handler\beginTransaction
beginTransaction()
Begin transaction.
eZ\Publish\SPI\Persistence\Handler\contentLanguageHandler
contentLanguageHandler()
eZ\Publish\SPI\Persistence\Handler\sectionHandler
sectionHandler()
eZ\Publish\SPI\Persistence\Handler\contentTypeHandler
contentTypeHandler()
eZ\Publish\SPI\Persistence\Handler\transactionHandler
transactionHandler()
eZ\Publish\SPI\Persistence\Handler\urlAliasHandler
urlAliasHandler()
eZ\Publish\SPI\Persistence\Handler\userPreferenceHandler
userPreferenceHandler()
eZ\Publish\SPI\Persistence\Handler\bookmarkHandler
bookmarkHandler()
eZ\Publish\SPI\Persistence\Handler\commit
commit()
Commit transaction.
eZ\Publish\SPI\Persistence\Handler\urlWildcardHandler
urlWildcardHandler()
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.